<!-- scDefaultAvatarImageOptionType.tpl -->
<dl class="scDefaultAvatarUpload">
    <dt>
        <img src="{if $imagePath}{@$imagePath}{else}{@$__wcf->getPath()}images/avatars/avatar-default.svg{/if}" alt="" class="userAvatarImage" id="preview_{$option->optionName}">
    </dt>
    <dd>
        <small>{lang}wcf.acp.option.avatar_default_image.rules{/lang}</small>
        
        <p class="button uploadButton">
            <input type="file" accept=".gif,.jpg,.jpeg,.png,.svg" id="{$option->optionName}" name="{$option->optionName}" value="">
            <span>{lang}wcf.global.button.upload{/lang}
        </p>
    </dd>
</dl>

{if !$__defaultAvatarUploadJS|isset}
    {assign var='__defaultAvatarUploadJS' value=true}
    
    <script data-relocate="true">
        var observer = new MutationObserver(function(mutations) {
            mutations.forEach(function(mutation) {
                if (mutation.attributeName === "disabled") {
                    if (mutation.target.disabled) {
                        elHide(elById('preview_' + elAttr(mutation.target, 'name')));
                        mutation.target.parentNode.classList.add('disabled');
                    }
                    else {
                        elShow(elById('preview_' + elAttr(mutation.target, 'name')));
                        mutation.target.parentNode.classList.remove('disabled');
                    }
                }
            });
        });
        
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                
                reader.onload = function(e) {
                    elAttr(elById('preview_' + elAttr(input, 'name')), 'src', e.target.result);
                };
                
                reader.readAsDataURL(input.files[0]);
            }
        }
        
        elBySelAll('.scDefaultAvatarUpload input', document).forEach(function (input) {
            observer.observe(input, { attributes: true });
            
            input.addEventListener('change', function() {
                readURL(this);
            });
        });
    </script>
{/if}
<!-- /scDefaultAvatarImageOptionType.tpl -->
